Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ClassKey Class Reference

Provides a key into a map of classes. More...

`#include <class.h>`

List of all members.

## Public Methods

| ClassKey ()
| ClassKey (const char *name)
| ClassKey (const ClassKey &)
| ~ClassKey ()
ClassKey & | operator= (const ClassKey &)
int | operator== (const ClassKey &ck) const
int | operator< (const ClassKey &ck) const
int | hash () const
int | cmp (const ClassKey &ck) const
char * | name () const

## Detailed Description

Provides a key into a map of classes.

The documentation for this class was generated from the following file:

- class.h